.ion-hide {
  display: none !important;

  &[web-hidden-only] {
    display: block !important;

    @media (min-width: 992px) {
      display: none !important;
    }
  }

  &[mobile-hidden-only] {
    @media (min-width: 992px) {
      display: block !important;
    }
  }
}

.ion-invisible {
  visibility: hidden !important;
}

.ion-no-padding {
  padding: unset !important;
}

.ion-padding {
  --ion-padding-horizontal: 15px;
  --ion-padding-vertical: 15px;

  padding: var(--ion-padding-vertical) var(--ion-padding-horizontal);
}

.ion-padding-horizontal {
  --ion-padding-horizontal: 15px;
  padding-left: var(--ion-padding-horizontal);
  padding-right: var(--ion-padding-horizontal);
}

.ion-disable {
  opacity: 0.5 !important;
  pointer-events: none !important;
  background-color: lightgray !important;
}

.ion-read-only {
  pointer-events: none !important;

  input {
    border: 0px;
  }
}

.ion-margin-vertical {
  --ion-margin-vertical: 5px;

  margin-top: var(--ion-margin-vertical) !important;
  margin-bottom: var(--ion-margin-vertical) !important;
}

.overlay {
  background: #0e0d0d;
  opacity: 0.3;
  filter: Alpha(Opacity=.3); /* support: IE8 */
}

.plain-txt {
  border: 0px;
  pointer-events: none !important;
  background: transparent;

  /* For Select Option */
  -webkit-appearance: none; /* For Chrome, Safari, and Opera */
  -moz-appearance: none; /* For Firefox */
  appearance: none;
}

.w-max {
  width: max-content;
}

.no-border {
  border: 0px !important;
}

.scrollbar-thin-light {
  overflow-y: auto;
  -ms-overflow-style: auto;
  scrollbar-width: auto;

  &::-webkit-scrollbar {
    -webkit-appearance: none;
    width: 0px;
  }

  @media (min-width: 768px) {
    &::-webkit-scrollbar {
      width: 10px;
      height: 7px;
    }
  }

  &::-webkit-scrollbar-thumb {
    border-radius: 1.5rem;
    background-color: rgba(0, 0, 0, 0.5);
    box-shadow: 0 0 1px rgba(255, 255, 255, 0.5);
  }

  &::-webkit-scrollbar-track {
    background-color: transparent;
  }
}

.size-0 {
  --f-size: 0px !important;
}
